package com.ruoyi.dxp.dto.database;

import java.io.Serializable;

/**
 * 远程服务调用参数
 */
public class ServiceUtilsApiCallParam implements Serializable {
    private static final long serialVersionUID = 1L;

    private String authWay;
    private String paramForm;
    private String requestMethod;
    private String requestParam;
    private String serviceUrl;

    public String getAuthWay() {
        return authWay;
    }

    public void setAuthWay(String authWay) {
        this.authWay = authWay;
    }

    public String getParamForm() {
        return paramForm;
    }

    public void setParamForm(String paramForm) {
        this.paramForm = paramForm;
    }

    public String getRequestMethod() {
        return requestMethod;
    }

    public void setRequestMethod(String requestMethod) {
        this.requestMethod = requestMethod;
    }

    public String getRequestParam() {
        return requestParam;
    }

    public void setRequestParam(String requestParam) {
        this.requestParam = requestParam;
    }

    public String getServiceUrl() {
        return serviceUrl;
    }

    public void setServiceUrl(String serviceUrl) {
        this.serviceUrl = serviceUrl;
    }
}
